/*
 * Copyright (C) 2011 Xavier Ivars-Ribes <xavi.ivars@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
package org.softcatala.utils;

import android.app.Activity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import java.lang.reflect.Field;

/**
 *
 * @author xavi
 */
public class AndroidUtils {

    public static boolean checkInternet(Activity act) {
        ConnectivityManager conMgr =
                (ConnectivityManager) act.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo i = conMgr.getActiveNetworkInfo();
        if (i == null) {
            return false;
        }
        if (!i.isConnected()) {
            return false;
        }
        if (!i.isAvailable()) {
            return false;
        }
        return true;
    }

    public static boolean isEmptyString(String str) {
        return (str == null || str.trim().length() == 0);
    }

    public static int getPlatformVersion() {
        try {
            Field verField = Class.forName("android.os.Build$VERSION").getField("SDK_INT");
            int ver = verField.getInt(verField);
            return ver;
        } catch (Exception e) {
            try {
                Field verField = Class.forName("android.os.Build$VERSION").getField("SDK");
                String verString = (String) verField.get(verField);
                return Integer.parseInt(verString);
            } catch (Exception ex) {
                return -1;
            }
        }
    }
}
